import axios from 'axios'

const apiServer = axios.create({
  baseURL: `/api/`,
  withCredentials: false,
  headers: {
    Accept: 'application/json',
    'Content-Type': 'application/json',
  },
})

export default {
  getProductGroups() {
    return apiServer.get(`Base/ListProductGroupSpecial`)
  },
  getProductLists(groupID) {
    return apiServer.get(
      `Products/List?page=1&pageCount=10&order=0&onlyExist=false&groupID=${groupID}`
    )
  },
  getListProductsGroupbyParnet(data) {
    console.log('mehdi' + data)
    console.log(typeof data)

    return apiServer.post(`Base/ListProductGroupbyParnetId`, data)
  },
  getListSpecialProducts() {
    return apiServer.get(
      `Products/Listpecial?page=1&pageCount=48&order=0&onlyExist=false`
    )
  },
  getSingleProduct(productId) {
    return apiServer.get(
      `Products/GetById?productId=${productId}`
    )
  },

}
